package com.gluedin.sport.ui.adapter

import android.app.Activity
import androidx.core.view.isVisible
import androidx.recyclerview.widget.RecyclerView
import com.gluedin.sport.databinding.WidgetItemBinding

class GluedinWidgetViewHolder(private val binding: WidgetItemBinding) :
    RecyclerView.ViewHolder(binding.root) {
    fun onBind(raid: String, type: String, displayName: String, context: Activity) {
        binding.title.isVisible = false
        binding.widgetRail.load(raid, context)
        binding.widgetRecyclerView.isVisible = false
        binding.widgetRail.isVisible = true

    }
}