package com.gluedin.sport.ui.adapter

import androidx.fragment.app.Fragment
import androidx.fragment.app.FragmentActivity
import androidx.viewpager2.adapter.FragmentStateAdapter
import com.gluedin.sport.entity.RailItem
import com.gluedin.sport.ui.fragments.PopularFragment

class PopularPagerAdapter(
    fragment: FragmentActivity,
    private val rail: List<RailItem>,
    private val type: String
) : FragmentStateAdapter(fragment) {
    override fun getItemCount() = rail.size

    override fun createFragment(position: Int): Fragment {
        return PopularFragment.getInstance(rail[position].image ?: "", rail[position].name, type)
    }

}