package com.gluedin.sport.ui.viewType

import androidx.recyclerview.widget.RecyclerView
import com.gluedin.sport.databinding.ItemBrandsBinding
import com.gluedin.sport.entity.RailItem

class BrandViewHolder(private val binding: ItemBrandsBinding) :
    RecyclerView.ViewHolder(binding.root) {
    fun bind(item: RailItem, position: Int) {

        with(binding) {
            if (item.image.isNotEmpty()) {
                placeholder.setImageURI(item.image)
            }
        }
    }
}
