package com.gluedin.sport.ui.viewType

import androidx.core.view.isVisible
import androidx.recyclerview.widget.RecyclerView
import com.gluedin.sport.databinding.ItemCategoriesBinding
import com.gluedin.sport.entity.RailItem

class CategoriesViewHolder(private val binding: ItemCategoriesBinding) :
    RecyclerView.ViewHolder(binding.root) {

    fun bind(item: RailItem, position: Int) {
        if (position == 0 && "All" == item.name) {
            binding.cardAll.isVisible = true
            binding.cardCategory.isVisible = false
            binding.ivAll.setImageURI(item.image)
        } else {
            binding.cardCategory.isVisible = true
            binding.cardAll.isVisible = false
            binding.title.text = item.name
            binding.placeholder.setImageURI(item.image)
        }
    }
}